List Webhooks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 11,
"user_id": 2,
"mailing_list_id": 1,
"type": "order_item.status_update",
"description": "Updated webhook destination",
"invoke_count": 0,
"url": "https://example.com/webhooks/thanksio-updated",
"verb": "get",
"created_at": "2026-03-02T02:10:33.000000Z",
"updated_at": "2026-03-02T02:23:27.000000Z",
"deleted_at": null
},
{
"id": 10,
"user_id": 2,
"mailing_list_id": null,
"type": "order.status_update",
"description": "Order status updates",
"invoke_count": 70,
"url": "https://example.com/webhooks/thanksio",
"verb": "post",
"created_at": "2026-03-02T02:10:29.000000Z",
"updated_at": "2026-03-10T17:45:02.000000Z",
"deleted_at": null
}
],
"links": {
"first": "https://api.thanks.io/api/v2/webhooks?page=1",
"last": "https://api.thanks.io/api/v2/webhooks?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.thanks.io/api/v2/webhooks",
"per_page": "15",
"to": 2,
"total": 2
},
"can_manage_webhooks": true
}{
"message": "Unauthorized"
}Webhooks
List Webhooks
Return a paginated list of configured webhooks. Webhooks are available on paid subscriptions only.
GET
/
webhooks
List Webhooks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 11,
"user_id": 2,
"mailing_list_id": 1,
"type": "order_item.status_update",
"description": "Updated webhook destination",
"invoke_count": 0,
"url": "https://example.com/webhooks/thanksio-updated",
"verb": "get",
"created_at": "2026-03-02T02:10:33.000000Z",
"updated_at": "2026-03-02T02:23:27.000000Z",
"deleted_at": null
},
{
"id": 10,
"user_id": 2,
"mailing_list_id": null,
"type": "order.status_update",
"description": "Order status updates",
"invoke_count": 70,
"url": "https://example.com/webhooks/thanksio",
"verb": "post",
"created_at": "2026-03-02T02:10:29.000000Z",
"updated_at": "2026-03-10T17:45:02.000000Z",
"deleted_at": null
}
],
"links": {
"first": "https://api.thanks.io/api/v2/webhooks?page=1",
"last": "https://api.thanks.io/api/v2/webhooks?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.thanks.io/api/v2/webhooks",
"per_page": "15",
"to": 2,
"total": 2
},
"can_manage_webhooks": true
}{
"message": "Unauthorized"
}Webhooks are available on paid subscriptions only.
Authorizations
Bearer token authentication using your thanks.io API key
Query Parameters
Number of items to return per page.
Only return webhooks of this type.
Available options:
order_item.status_update, order.status_update, order_item.delivered, scans.scan_update, scan_board.status_update Example:
"order_item.status_update"
Only return Lead Board stage webhooks set to this stage. A Lead Board stage.
Available options:
new, contacted, follow_up, done Example:
"contacted"
Was this page helpful?